API ReferenceDomainsList All Domains
List All Domains
The Domains API manages the lifecycle of your sending domains. You must register and verify a domain before you can send emails from any address on that domain.
GET
https://wapi.simplysend.email/web-setup/domainsRequestGET
curl -X GET https://wapi.simplysend.email/web-setup/domains \
-H "X-Api-Key: your_api_key" \
-H "X-Id: your_account_id"Response
{
"success": true,
"data": {
"domains": [
{
"createdAt": "2026-01-18T22:50:41.476Z",
"dkimEnabled": true,
"dmarcConfigured": true,
"domain": "acme.com",
"domainId": "domain_1768776641476_d8vc40fk647",
"groupId": "dgroup_1772173331412_3jve68mb68p",
"mxConfigured": true,
"spfConfigured": true,
"status": "SUCCESS",
"updatedAt": "2026-02-28T02:53:57.803Z",
"useCase": "tx",
"useCaseLabel": "Transactional"
}
],
"total": 1
}
}